# UniTAP.dev.ports.modules.capturer.bulk.result_bulk

class ResultBulkObject(UniTAP.dev.modules.capturer.result_object.ResultObject):

Class `ResultBulkObject` inherited from class `ResultObject`. Class `ResultBulkObject` allows saving captured data to file `save_to_bin_file`. Also has all the `ResultObject` functionality.

ResultBulkObject(assume_scrambler_disabled: bool = False)
assume_scrambler_disabled
def save_to_bin_file(self, directory_name: str):

Saving captured bulk data to file.

###### Arguments:

- directory_name (str) - path to save

##### Inherited Members

UniTAP.dev.modules.capturer.result_object.ResultObject
  start_capture_time
  end_capture_time
  timestamp
  buffer
  clear